Commit 0b456e40 authored by Zach Loafman's avatar Zach Loafman

Fix jenkins/hack/e2e.sh, log errors better

parent 827dcbc6
...@@ -46,3 +46,5 @@ echo "... calling setup-logging-firewall" >&2 ...@@ -46,3 +46,5 @@ echo "... calling setup-logging-firewall" >&2
setup-logging-firewall setup-logging-firewall
echo "Done" >&2 echo "Done" >&2
exit 0
...@@ -78,8 +78,8 @@ if [[ ! -z ${E2E_SET_CLUSTER_API_VERSION:-} ]]; then ...@@ -78,8 +78,8 @@ if [[ ! -z ${E2E_SET_CLUSTER_API_VERSION:-} ]]; then
fi fi
export KUBE_CONFIG_FILE="config-test.sh" export KUBE_CONFIG_FILE="config-test.sh"
cluster/kube-down.sh cluster/kube-down.sh || true
cluster/kube-up.sh cluster/kube-up.sh || { echo "-- kube-up failed --"; exit 1; }
cluster/kubectl.sh version cluster/kubectl.sh version || { echo "-- kubectl failed --"; exit 1; }
hack/ginkgo-e2e.sh --report_dir=${WORKSPACE} hack/ginkgo-e2e.sh --report_dir=${WORKSPACE} || { echo "-- tests failed --"; exit 1; }
cluster/kube-down.sh cluster/kube-down.sh || { echo "-- kube-down failed --"; exit 1; }
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment